> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/instance/placement-group/deleteplacementgroups.md).

# DeletePlacementGroups

## 1. 接口描述

本接口(DeletePlacementGroups)用于删除一个或多个置放组。删除后置放组内所有实例解除放置策略约束。

{% hint style="info" %}
**注意事项**

* 删除不可撤销，删除后置放组内所有实例将解除放置策略约束。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称              | 必选 | 类型              | 描述                                                                                                                                                  |
| ----------------- | -- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| placementGroupIds | 是  | Array of String | <p>要删除的置放组ID列表。</p><p>可通过调用 <a href="/api-reference/cn/zec/instance/placement-group/describeplacementgroups.md">DescribePlacementGroups</a> 获取。</p> |

## 3. 响应结果

| 参数名称                    | 类型              | 描述                                                       |
| ----------------------- | --------------- | -------------------------------------------------------- |
| requestId               | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| failedPlacementGroupIds | Array of String | <p>删除失败的置放组ID列表。</p><p>若全量成功则为空。</p>                     |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除一个或多个置放组。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeletePlacementGroups
<Common Request Params>

Request：
{
  "placementGroupIds": [
    "placementgroup-xxxxxxxx",
    "placementgroup-yyyyyyyy"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "failedPlacementGroupIds": [
      "placementgroup-xxxxxxxx"
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                   | 说明      |
| ------- | ------------------------------------- | ------- |
| 404     | INVALID\_PLACEMENT\_GROUP\_NOT\_FOUND | 置放组不存在。 |
